summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Dušan Stefanović <stefanovic.dusan@gmail.com>2010-05-12 23:33:42 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:33:42 +0200
commita6b80b3b3b51fb7931ab23b1e6e0c1e161181204 (patch)
tree2afa353f095461026fa6ce1e2cb781f5fb58f27f /system
parent74e64da530725cdcbe7b05a11ae0e859b382495b (diff)
downloadslackbuilds-a6b80b3b3b51fb7931ab23b1e6e0c1e161181204.tar.gz
slackbuilds-a6b80b3b3b51fb7931ab23b1e6e0c1e161181204.tar.xz
system/memuse: Added to 12.2 repository
Diffstat (limited to 'system')
-rw-r--r--system/memuse/README4
-rw-r--r--system/memuse/memuse.SlackBuild65
-rw-r--r--system/memuse/memuse.info8
-rw-r--r--system/memuse/slack-desc18
4 files changed, 95 insertions, 0 deletions
diff --git a/system/memuse/README b/system/memuse/README
new file mode 100644
index 0000000000..9ef01eb788
--- /dev/null
+++ b/system/memuse/README
@@ -0,0 +1,4 @@
+Memory usage diagnostics tool
+
+Memuse is a tool to see how much memory applications use.
+
diff --git a/system/memuse/memuse.SlackBuild b/system/memuse/memuse.SlackBuild
new file mode 100644
index 0000000000..fb8efc6cc5
--- /dev/null
+++ b/system/memuse/memuse.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Slackware build script for memuse
+
+# Written by Dusan Stefanovic <stefanovic.dusan@gmail.com>
+
+PRGNAM=memuse
+VERSION=${VERSION:-0.20}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+sed -i 's%-O2 %%' Makefile
+CFLAGS="$SLKCFLAGS" make
+
+mkdir -p $PKG/usr/bin
+install -m 755 memuse $PKG/usr/bin
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/memuse/memuse.info b/system/memuse/memuse.info
new file mode 100644
index 0000000000..418d6d11c4
--- /dev/null
+++ b/system/memuse/memuse.info
@@ -0,0 +1,8 @@
+PRGNAM="memuse"
+VERSION="0.20"
+HOMEPAGE="http://www.moblin.org/"
+DOWNLOAD="http://slackbuilds.org/sources/12.2/memuse-0.20.tar.gz"
+MD5SUM="d7078df335f65a5423952c3909e656c0"
+MAINTAINER="Dusan Stefanovic"
+EMAIL="stefanovic.dusan@gmail.com"
+APPROVED="rworkman"
diff --git a/system/memuse/slack-desc b/system/memuse/slack-desc
new file mode 100644
index 0000000000..7ec3d1c741
--- /dev/null
+++ b/system/memuse/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+memuse: memuse - Memory usage diagnostics tool
+memuse:
+memuse: Memuse is a tool to see how much memory applications use.
+memuse:
+memuse: http://www.moblin.org/
+memuse:
+memuse:
+memuse:
+memuse:
+memuse: